Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Interface ReporterListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  ExceptionPane.ExceptionPaneReporterListener, ExceptionShelf.ShelfCaptureListener

    public interface ReporterListener

extends EventListener

ReporterListener informs users of problems and messages.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: ReporterListener.java,v 1.1 2004/04/20 21:16:06 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`void` | `reportException(ReporterEvent ev)` Called whenever Reporter.informUser() is passed an Exception
`void` | `reportMessage(ReporterEvent ev)` Called whenever Reporter.informUser() is passed a message

Method Detail

### reportException

    void reportException(ReporterEvent ev)

  Called whenever Reporter.informUser() is passed an Exception

  Parameters:
    `ev` - The event describing the Exception

### reportMessage

    void reportMessage(ReporterEvent ev)

  Called whenever Reporter.informUser() is passed a message

  Parameters:
    `ev` - The event describing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD